# The ZMQContext class

(No version information available, might only be in Git)

## Introduction

## Class synopsis

ZMQContext {
/* Methods */
__construct ([ int `$io_threads` = 1 [, bool `$is_persistent` = `TRUE` ]] )
public getOpt ( string `$key` ) : mixed
public getSocket ( int `$type` [, string `$persistent_id` = `NULL` [, callback `$on_new_socket` = `NULL` ]] ) : ZMQSocket
public isPersistent ( void ) : bool
public setOpt ( int `$key` , mixed `$value` ) : ZMQContext
}

## Table of Contents

- ZMQContext::__construct — Construct a new ZMQContext object
- ZMQContext::getOpt — Get context option
- ZMQContext::getSocket — Create a new socket
- ZMQContext::isPersistent — Whether the context is persistent
- ZMQContext::setOpt — Set a socket option